commit:     3daa676f81e230b25714f417f07e32c158c8a463
Author:     Tomas Mozes <hydrapolic <AT> gmail <DOT> com>
AuthorDate: Fri Mar  9 13:13:59 2018 +0000
Commit:     Amy Liffey <amynka <AT> gentoo <DOT> org>
CommitDate: Sat Mar 10 12:29:13 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3daa676f

app-misc/elasticsearch: bump to 5.6.8/6.2.2

Closes: https://bugs.gentoo.org/646388
Closes: https://bugs.gentoo.org/647826
Closes: https://github.com/gentoo/gentoo/pull/7405

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 app-misc/elasticsearch/Manifest                    |  2 +
 app-misc/elasticsearch/elasticsearch-5.6.8.ebuild  | 69 ++++++++++++++++++++++
 app-misc/elasticsearch/elasticsearch-6.2.2.ebuild  | 69 ++++++++++++++++++++++
 .../elasticsearch/files/elasticsearch.service.2    |  1 -
 4 files changed, 140 insertions(+), 1 deletion(-)

diff --git a/app-misc/elasticsearch/Manifest b/app-misc/elasticsearch/Manifest
index 0c427d8c79b..c902d0af452 100644
--- a/app-misc/elasticsearch/Manifest
+++ b/app-misc/elasticsearch/Manifest
@@ -1,4 +1,6 @@
 DIST elasticsearch-1.7.6.tar.gz 28488767 BLAKE2B 
0dc4fb10355e2139ee3a7e7e65366e8aa533b9714bf0f00d2bd8f4ef0669ba9f8f10dc5255c8c7a62abc0362e08ab5fda3c8b6b6f2bacfe5cce7255973293162
 SHA512 
2746f09b66919912e785c8d25c50ae74dbb38a41d99d9c926550786f9c2d7953d1ae1a54a32dae59a7269e5fbfa74dfbc91c3d412e415efd01c391ef7d329ba7
 DIST elasticsearch-5.6.6.tar.gz 33780290 BLAKE2B 
ce4014b8eb74098990d97d7d87a0bd88df06f6719772f310c97cc33e740f44e84ebf74750c1f81b77c713c661a0e2e9ca826b6ab91b3625023fb9a061005d8ef
 SHA512 
582fc3c2d1dcd5c208c229307ce387015ef8b25d9974fcac9ad4b8b3bc1c983a27daa171f0f242d367cc0776c545a82c5a4c07f6340104e739d83831e0d2210c
+DIST elasticsearch-5.6.8.tar.gz 33781024 BLAKE2B 
8b946b76997ed68baaeaab110f78824c21df7bd7647474f239996191d14c6ca9a5ae4ed564f998d036aa55074f2299e4e3214043058a1984ebfbe9fad1f5d230
 SHA512 
b306b7e09ad14aaf7e20c3dbac1bc1496b9cb4cfb98b6111aaabf955af88f3fa0d77c72153f278bec11356e022f5c339248d185618b47cb140717bbd3fae09cb
 DIST elasticsearch-6.0.1.tar.gz 28026460 BLAKE2B 
a70cd36affaccccf1ea552167e585a35cc748de1137cf4b23387798ae31b851104ccc19f8be83ecc645bcebfba344b5e55a397a9cbb0b380c4a118f1f0ffecf2
 SHA512 
b86a04acd194e7e96e3a32de6ab4983d6569ffb1714f2af9e2b49623004987e13e57c5db055153a188f5d2d7eea63d649fa87769f7625f3fc4923e0cd5b8f3ee
 DIST elasticsearch-6.1.2.tar.gz 28455845 BLAKE2B 
36215cf3131c8ac24e9b974d6c12892679e1896242119bf88182a229286a8391fc9575b068c6e692b9931022df299920fdc5dbf8f04651bd4bcfd544c1b65b2e
 SHA512 
c72e69700b60faf3b1a542c2317b83189926738affb38033c4b8d7cc0a1b3c21c4f743f441fb10657d4684111746ebb18c9dba2f54845ea6e02e4fb8dc950e5a
+DIST elasticsearch-6.2.2.tar.gz 29049540 BLAKE2B 
d3f52486f072721ed1e8766de50cdf3daf6f43ca0b53dbc61f49a14de861a0e193e85ecdd5365d65394d8569c3bda13ef8de4f115afc9e97b52d0b20927e5438
 SHA512 
e8363a3022b7c8d67be37bcdf4d026cefb166403dcdb19950fdf2da508eb0ccfe2b2e3717a60edb932b7b6f5ec94cd06726d4fc5c7bcdd24711df16945fb8c5c

diff --git a/app-misc/elasticsearch/elasticsearch-5.6.8.ebuild 
b/app-misc/elasticsearch/elasticsearch-5.6.8.ebuild
new file mode 100644
index 00000000000..26cfa98675c
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-5.6.8.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz";
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="virtual/jre:1.8"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       default
+
+       rm -v bin/*.{bat,exe} LICENSE.txt || die
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -rv config || die
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.2" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.2" ${PN}
+
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/elasticsearch into the configuration directory of the 
instance:"
+       elog "/etc/${PN}/instance"
+       elog
+}

diff --git a/app-misc/elasticsearch/elasticsearch-6.2.2.ebuild 
b/app-misc/elasticsearch/elasticsearch-6.2.2.ebuild
new file mode 100644
index 00000000000..4a1d5418c70
--- /dev/null
+++ b/app-misc/elasticsearch/elasticsearch-6.2.2.ebuild
@@ -0,0 +1,69 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit systemd user
+
+DESCRIPTION="Open Source, Distributed, RESTful, Search Engine"
+HOMEPAGE="https://www.elastic.co/products/elasticsearch";
+SRC_URI="https://artifacts.elastic.co/downloads/${PN}/${P}.tar.gz";
+LICENSE="Apache-2.0 BSD-2 LGPL-3 MIT public-domain"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND="virtual/jre:1.8"
+
+pkg_setup() {
+       enewgroup ${PN}
+       enewuser ${PN} -1 /bin/bash /usr/share/${PN} ${PN}
+}
+
+src_prepare() {
+       default
+
+       rm -v bin/*.{bat,exe} LICENSE.txt || die
+}
+
+src_install() {
+       keepdir /etc/${PN}
+       keepdir /etc/${PN}/scripts
+
+       insinto /etc/${PN}
+       doins -r config/.
+       rm -rv config || die
+
+       insinto /usr/share/${PN}
+       doins -r .
+
+       exeinto /usr/share/${PN}/bin
+       doexe "${FILESDIR}/elasticsearch-systemd-pre-exec"
+
+       chmod +x "${ED}"/usr/share/${PN}/bin/* || die
+
+       keepdir /var/{lib,log}/${PN}
+       fowners ${PN}:${PN} /var/{lib,log}/${PN}
+       fperms 0750 /var/{lib,log}/${PN}
+       dodir /usr/share/${PN}/plugins
+
+       insinto /etc/sysctl.d
+       newins "${FILESDIR}/${PN}.sysctl.d" ${PN}.conf
+
+       newconfd "${FILESDIR}/${PN}.conf.3" ${PN}
+       newinitd "${FILESDIR}/${PN}.init.3" ${PN}
+
+       systemd_newtmpfilesd "${FILESDIR}/${PN}.tmpfiles.d" ${PN}.conf
+       systemd_newunit "${FILESDIR}"/${PN}.service.2 ${PN}.service
+}
+
+pkg_postinst() {
+       elog
+       elog "You may create multiple instances of ${PN} by"
+       elog "symlinking the init script:"
+       elog "ln -sf /etc/init.d/${PN} /etc/init.d/${PN}.instance"
+       elog
+       elog "Please make sure you put elasticsearch.yml, log4j2.properties and 
scripts"
+       elog "from /etc/elasticsearch into the configuration directory of the 
instance:"
+       elog "/etc/${PN}/instance"
+       elog
+}

diff --git a/app-misc/elasticsearch/files/elasticsearch.service.2 
b/app-misc/elasticsearch/files/elasticsearch.service.2
index 8db69326f26..65324693e8c 100644
--- a/app-misc/elasticsearch/files/elasticsearch.service.2
+++ b/app-misc/elasticsearch/files/elasticsearch.service.2
@@ -21,7 +21,6 @@ 
ExecStartPre=/usr/share/elasticsearch/bin/elasticsearch-systemd-pre-exec
 
 ExecStart=/usr/share/elasticsearch/bin/elasticsearch \
                                                 -p 
${PID_DIR}/elasticsearch.pid \
-                                                -Epath.home=${ES_HOME} \
                                                 -Epath.logs=${LOG_DIR} \
                                                 -Epath.data=${DATA_DIR}
 

Reply via email to